﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace GridHierarchicalCollection
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Value", typeof(int));
            dt.Columns.Add("Description", typeof(string));
            dt.Rows.Add(5, "First");
            dt.Rows.Add(10, "Second");
            dt.Rows.Add(15, "Third");
            dt.Rows.Add(20, "Fourth");
            dt.Rows.Add(25, "Fifth");

            DataTable dt2 = new DataTable();
            dt2.Columns.Add("Amount", typeof(int));
            dt2.Columns.Add("Value", typeof(int));
            dt2.Columns[1].ColumnMapping = MappingType.Hidden;
            dt2.Columns.Add("Enabled", typeof(bool));
            dt2.Rows.Add(1, 5,  true);
            dt2.Rows.Add(2, 5, false);
            dt2.Rows.Add(3, 5, false);
            dt2.Rows.Add(4, 5,  true);
            dt2.Rows.Add(5, 5, false);
            dt2.Rows.Add(1, 10, true);
            dt2.Rows.Add(2, 10, false);
            dt2.Rows.Add(3, 10, false);
            dt2.Rows.Add(4, 10, true);
            dt2.Rows.Add(5, 10, false);
            dt2.Rows.Add(1, 15, true);
            dt2.Rows.Add(2, 15, false);
            dt2.Rows.Add(3, 15, false);
            dt2.Rows.Add(4, 15, true);
            dt2.Rows.Add(5, 15, false);
            dt2.Rows.Add(1, 20, true);
            dt2.Rows.Add(2, 20, false);
            dt2.Rows.Add(3, 20, false);
            dt2.Rows.Add(4, 20, true);
            dt2.Rows.Add(5, 20, false);
            dt2.Rows.Add(1, 25, true);
            dt2.Rows.Add(2, 25, false);
            dt2.Rows.Add(3, 25, false);
            dt2.Rows.Add(4, 25, true);
            dt2.Rows.Add(5, 25, false);

            DataSet ds = new DataSet();
            ds.Tables.Add(dt);
            ds.Tables.Add(dt2);

            DataRelation dr = new DataRelation("", dt.Columns[0], dt2.Columns[1]);

            ds.Relations.Add(dr);

            ultraGrid1.DataSource = dt;
        }
    }
}
